
Katello - Bug #6050

CLI - content definition filter package rule: package without name is allowed
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=956591

Description of problem:

In CLI you can create package (rpm) filter rule what contains package without name.

I think its nonsense and it should not be allowed.

Version-Release number of selected component (if applicable):

katello-common-1.4.1-1.git.182.8e8188f.el6.noarch

katello-qpid-broker-key-pair-1.0-1.noarch

katello-repos-1.4.1-1.el6.noarch

katello-cli-1.4.1-1.git.182.c6940ed.el6.noarch

katello-configure-1.4.1-1.git.111.f7f9fea.el6.noarch

katello-glue-candlepin-1.4.1-1.git.182.8e8188f.el6.noarch

katello-glue-pulp-1.4.1-1.git.182.8e8188f.el6.noarch

katello-candlepin-cert-key-pair-1.0-1.noarch

katello-cli-common-1.4.1-1.git.182.c6940ed.el6.noarch

katello-selinux-1.4.1-1.el6.noarch

katello-1.4.1-1.git.182.8e8188f.el6.noarch

katello-agent-1.4.1-1.el6.noarch

katello-all-1.4.1-1.git.182.8e8188f.el6.noarch

katello-glue-elasticsearch-1.4.1-1.git.182.8e8188f.el6.noarch

katello-qpid-client-key-pair-1.0-1.noarch

katello-certs-tools-1.4.1-1.el6.noarch

How reproducible:

always

Steps to Reproduce:

1. prepare org, content definition and filter

org create --name org

content definition create --org org --name def

content definition filter create --org org --definition def --name filter

2. add rule to filter

content definition filter add_rule --org org --definition def --name filter --content "rpm" --rule '{"units": [{"min_version" : "2.5.0",

"max_version" : "4.2.0"}]}'

Associated revisions

Revision 18e7375b - 06/04/2014 04:11 PM - Partha Aji

Fixes #6050 - Better error message on filter rules create

Basically cli did this on filter rule create with no filter rule params

specified.

$ hammer  content-view filter rule create --content-view-id=4

--organization-id=1 --content-view-filter-id 1
Could not create the filter rule:

Error: 400 Bad Request

This commit fixes that by giving more context on what needs to be

specified. This is slightly tricky because depending on errata or

package filters the "base" field requirement is bound to change. Here

are the 2 scenarios this fix now handles..

1) On a package filter specifying package rule it raises name cant be

blank.

$ hammer  content-view filter rule create --content-view-id=4

--organization-id=1 --content-view-filter-id 1

Could not create the filter rule:

Validation failed: Name can't be blank

2) On an erratum filter specifying erratum rule it raises something else

$ hammer  content-view filter rule create --content-view-id=4

--organization-id=1 --content-view-filter-id 2

Could not create the filter rule:

Validation failed: Invalid erratum filter rule specified, Must specify

at least one of the following: 'errata_id', 'start_date', 'end_date' or

'types'

Revision 78362419 - 06/05/2014 02:17 PM - Partha Aji

Merge pull request #4212 from parthaa/cv-filter-rule

Fixes #6050 - Better error message on filter rules create

History

#1 - 06/05/2014 03:14 AM - Eric Helms

- Category changed from Hammer to API

- Target version set to 45

- Triaged set to Yes

This sounds more like a data model layer in that a validation should be checking for this server side.

#2 - 06/05/2014 02:52 PM - Partha Aji

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:18e7375bd64f8406d28668db924e2f1877223f28.

#3 - 08/22/2014 08:32 AM - Eric Helms

- translation missing: en.field_release set to 13
